Bug 1280007 - default search option (Prefix) does not allow searching for two-letter package names and provides no user feedback
default search option (Prefix) does not allow searching for two-letter packag...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 12:21 EST by James
Modified: 2016-03-17 17:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: yumex-dnf-4.1.5-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-28 15:23:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2015-11-10 12:21:23 EST
Description of problem:
The default search option is Prefix ... if the user enters a package name such as "js" or "jq" and presses enter, nothing happens.

Version-Release number of selected component (if applicable):
4.1.4

How reproducible:
100%

Expected results:
The search should be allowed, or the user should be asked for confirmation that they want to continue their search, or at the very least the user should be presented with an error message which also instructs them to use a different search option.
Comment 1 Tim Lauridsen 2015-11-18 07:03:42 EST
yumex-dnf only starts to search when there is >2 chars in the keyword
this is a leftover from a time where yumex used typeahead search, don't make much sense in the current version
Comment 3 Fedora Update System 2015-11-18 11:47:44 EST
dnfdaemon-0.3.11-1.fc23 yumex-dnf-4.1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-554dab6cf9
Comment 4 Fedora Update System 2015-11-19 10:26:24 EST
dnfdaemon-0.3.11-1.fc23, yumex-dnf-4.1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-554dab6cf9
Comment 5 Fedora Update System 2015-11-19 11:55:00 EST
dnfdaemon-0.3.11-1.fc23, yumex-dnf-4.1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-554dab6cf9
Comment 6 Fedora Update System 2015-11-20 03:04:05 EST
dnfdaemon-0.3.11-1.fc22 yumex-dnf-4.1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8054ed53d3
Comment 7 Fedora Update System 2015-11-21 12:52:47 EST
dnfdaemon-0.3.11-1.fc22, yumex-dnf-4.1.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8054ed53d3
Comment 8 Fedora Update System 2015-11-28 15:23:02 EST
dnfdaemon-0.3.11-1.fc23, yumex-dnf-4.1.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-17 17:21:40 EDT
dnfdaemon-0.3.11-1.fc22, yumex-dnf-4.1.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.